/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomBarInfo_H__
#define __GdomBarInfo_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomBarInfo GdomBarInfo;
typedef struct _GdomBarInfoClass GdomBarInfoClass;


#define GDOM_TYPE_BAR_INFO            (gdom_bar_info_get_type())
#define GDOM_BAR_INFO(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_BAR_INFO, GdomBarInfo))
#define GDOM_BAR_INFO_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_BAR_INFO, GdomBarInfo)Class)
#define GDOM_IS_BAR_INFO(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_BAR_INFO))
#define GDOM_IS_BAR_INFO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_BAR_INFO))
#define GDOM_BAR_INFO_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_BAR_INFO, GdomBarInfoClass))

typedef struct _GdomBarInfoPrivate GdomBarInfoPrivate;

struct _GdomBarInfo {
    GdomDOMObject parent_instance;
    GdomBarInfoPrivate *priv;
};

struct _GdomBarInfoClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_bar_info_get_type (void);

G_END_DECLS

#endif /* __GdomBarInfo_H__ */
